/* Стили главного контейнера */
.ednamb-container {
  right: 25px;
  bottom: 25px;
  /*z-index: 999999999;*/
    z-index: 9999;
  position: fixed;
  transition: visibility 0.3s, transform 0.3s, transform-origin 0.3s, scale 0.3s, opacity 0.3s,
    bottom 0.3s, top 0.3s, left 0.3s, right 0.3s;
  opacity: 1;
}

/* Стили главного контейнера в скрытом состоянии */
.ednamb-container.ednamb-hide {
  visibility: hidden;
  transform: translateY(20%);
  opacity: 0;
}

/* Стили блока верхних кнопок */
.ednamb-top-buttons {
  position: absolute;
  right: 0;
  bottom: 100px;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  width: fit-content;
  opacity: 1;
  transition: visibility 0.3s, transform 0.3s, transform-origin 0.3s, scale 0.3s, opacity 0.3s,
    bottom 0.3s, top 0.3s, left 0.3s, right 0.3s;
}

/* Стили блока верхних кнопок в скрытом состоянии */
.ednamb-top-buttons.ednamb-hide {
  visibility: hidden;
  transform: translateY(20%);
  opacity: 0;
}

/* Стили кнопки из блока верхних кнопок */
.ednamb-top-button {
  display: flex;
  align-items: center;
  border-radius: 4px;
  width: 220px;
  font-family: 'Open Sans', Arial, sans-serif;
  padding: 10px;
  text-transform: lowercase;
  color: white;
  margin: 5px 0;
  text-align: center;
  text-decoration: none;
  font-size: 16px;
  line-height: 21px;
}
.ednamb-top-button img {
  width: 20px;
  height: 20px;
  margin-right: 8px;
}
.ednamb-top-button.green {
  background-color: rgb(37, 211, 102);
}
.ednamb-top-button.green2 {
    background-color: rgb(138, 180, 70);
}
.ednamb-top-button.blue {
  background-color: rgba(42, 171, 238);
}
.ednamb-top-button.blue-3 {
    background-color: rgba(0, 119, 255);
}
.ednamb-top-button.purple-2 {
    background-color: #2d085f;
}
.ednamb-top-button.blue-2 {
  background-color: rgba(0, 138, 255);
}
.ednamb-top-button.purple {
  background-color: #9d6f95;
}

/* Стили блока нижних кнопок */
.ednamb-left-buttons {
  height: 86px;
  position: absolute;
  right: 100px;
  bottom: 0;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  opacity: 1;
  transition: visibility 0.3s, transform 0.3s, transform-origin 0.3s, scale 0.3s, opacity 0.3s,
    bottom 0.3s, top 0.3s, left 0.3s, right 0.3s;
}

/* Стили блока нижних кнопок в скрытом состоянии */
.ednamb-left-buttons.ednamb-hide {
  visibility: hidden;
  transform: translateX(90px);
  opacity: 0;
}

/* Стили кнопки из блока нижних кнопок */
.ednamb-left-button {
  background-color: rgba(170, 170, 170, 0.9);
  background-size: 20px;
  background-repeat: no-repeat;
  background-position: center;
  border-radius: 30%;
  display: block;
  margin: 0 5px;
  width: 32px;
  height: 32px;
}

/* Стили кнопки из блока нижних кнопок при наведении */
.ednamb-left-button:hover {
  background-color: rgba(150, 150, 150, 1);
}

/* Стили главной кнопки */
.ednamb-button {
  width: 80px;
  height: 80px;
  cursor: pointer;
  position: absolute;
  right: 2px;
  bottom: 3px;
  border-radius: 50%;
  background-color: rgba(138, 180, 70);
  background-image: url('/local/js/edna/assets/button.svg');
  background-repeat: no-repeat;
  background-position: center;
  filter: drop-shadow(4px 6px 2px rgba(0, 0, 0, 0.25));
  transition: all 0.05s;
}

/* Стили главной кнопки в активном состоянии */
.ednamb-button.ednamb-active {
  filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.25));
  right: 0;
  bottom: 0;
}

/* Стили мобильной версии */
@media (max-width: 1024px) and (orientation: portrait) {
  /* Стили блока верхних кнопок */
  .ednamb-top-buttons {
    bottom: 135px;
    transition-delay: 0s;
  }

  /* Стили блока верхних кнопок в скрытом состоянии */
  .ednamb-top-buttons.ednamb-hide {
    transition-delay: 0.2s;
  }

  /* Стили блока нижних кнопок */
  .ednamb-left-buttons {
    bottom: 95px;
    height: auto;
    right: 0;
    transition-delay: 0.2s;
  }

  /* Стили блока нижних кнопок в скрытом состоянии */
  .ednamb-left-buttons.ednamb-hide {
    transform: translateY(30%);
    transition-delay: 0s;
  }
}